M_ActivityGetRichCFG = {}

function M_ActivityGetRichCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityGetRichCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Weight = 0, Rate = 2, Gold = 200000}
	self.datas[2] = {ID = 2, Weight = 0, Rate = 4, Gold = 400000}
	self.datas[3] = {ID = 3, Weight = 15, Rate = 6, Gold = 600000}
	self.datas[4] = {ID = 4, Weight = 50, Rate = 8, Gold = 800000}
	self.datas[5] = {ID = 5, Weight = 30, Rate = 9, Gold = 900000}
	self.datas[6] = {ID = 6, Weight = 5, Rate = 10, Gold = 1000000}
end

M_ActivityGetRichCFG:init()
